using Demo.Domain.Models;
using System;
using System.Collections.Generic;

namespace Demo.Data.Repository
{
    public interface IPresenceRepository
    {
        void AddPresence(Presence presence);
        IEnumerable<Presence> GetPresenceByGroup(int groupId);
        IEnumerable<Presence> GetPresenceByGroupAndDate(int groupId, DateTime date);
        void MarkUserAsAbsent(Guid userId, int lessonNumber, DateTime date);
        IEnumerable<Presence> GetAllPresence();
        void DeletePresence(Guid id);
        void UpdatePresence(Presence presence);
    }
}